Package org.apache.storm.trident.planner

## Class SpoutNode

- java.lang.Object
- - org.apache.storm.trident.operation.DefaultResourceDeclarer<Node>
  - - org.apache.storm.trident.planner.Node
    - - org.apache.storm.trident.planner.SpoutNode

- All Implemented Interfaces:
    `Serializable`, `ResourceDeclarer<Node>`, `ITridentResource`

      public class SpoutNode
      extends Node

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SpoutNode.SpoutType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Object` | `spout` |
    `String` | `txId` |
    `SpoutNode.SpoutType` | `type` |

    - ### Fields inherited from class org.apache.storm.trident.planner.Node

      `allOutputFields, creationIndex, name, parallelismHint, stateInfo, streamId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpoutNode​(String streamId, Fields allOutputFields, String txid, Object spout, SpoutNode.SpoutType type)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.trident.planner.Node

      `equals, hashCode, shortString, toString`

    - ### Methods inherited from class org.apache.storm.trident.operation.DefaultResourceDeclarer

      `addSharedMemory, getResources, getSharedMemory, setCPULoad, setMemoryLoad, setMemoryLoad`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### spout

          public Object spout

    - #### txId

          public String txId

    - #### type

          public SpoutNode.SpoutType type

  - ### Constructor Detail

    - #### SpoutNode

          public SpoutNode​(String streamId,
                           Fields allOutputFields,
                           String txid,
                           Object spout,
                           SpoutNode.SpoutType type)